<span
  *ngIf="duration && isFullMode()"
  title="{{ duration | duration : 'human' }}"
>
  <div class="item">
    <label>Jobs pending duration: </label>
    <span>{{ duration.order_pending * 1000 | duration : 'timecode_ms' }}</span>
  </div>
  <div class="item">
    <label>Jobs processing duration: </label>
    <span>{{ duration.processing * 1000 | duration : 'timecode_ms' }}</span>
  </div>
  <div class="item">
    <label>Jobs response latency: </label>
    <span>{{
      duration.response_pending * 1000 | duration : 'timecode_ms'
    }}</span>
  </div>
  <div class="item">
    <label>Total duration: </label>
    <span>{{ duration.total * 1000 | duration : 'timecode_ms' }}</span>
  </div>
</span>

<span
  *ngIf="duration && display == 'total'"
  title="{{ duration | duration : 'human' }}"
>
  <span>Duration: {{ duration.total * 1000 | duration : 'timecode_ms' }}</span>
</span>

<span
  *ngIf="duration && display == 'processing'"
  title="{{ duration | duration : 'human' }}"
>
  <span
    >Processing duration:
    {{ duration.processing * 1000 | duration : 'timecode_ms' }}</span
  >
</span>

<span
  *ngIf="duration && display == 'pending'"
  title="{{ duration | duration : 'human' }}"
>
  <span
    >Pending duration:
    {{ duration.order_pending * 1000 | duration : 'timecode_ms' }}</span
  >
</span>
